# openhab

![Version: 1.4.2](https://img.shields.io/badge/Version-1.4.2-informational?style=flat-square) ![AppVersion: 3.2.0](https://img.shields.io/badge/AppVersion-3.2.0-informational?style=flat-square)

openhab helm package

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://hub.docker.com/r/openhab/openhab>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install openhab k8s-at-home/openhab
```

## Installing the Chart

To install the chart with the release name `openhab`

```console
helm install openhab k8s-at-home/openhab
```

## Uninstalling the Chart

To uninstall the `openhab` deployment

```console
helm uninstall openhab
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install openhab \
  --set env.TZ="America/New York" \
    k8s-at-home/openhab
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install openhab k8s-at-home/openhab -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | string | See below | environment variables. See more environment variables in the [openhab image documentation](https://hub.docker.com/r/openhab/openhab). |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"openhab/openhab"` | image repository |
| image.tag | string | `"3.2.0"` | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. Choose either -- a single volume for all data or separate volumes for each sub-directory. |
| persistence.addons | object | `{"enabled":false,"mountPath":"/openhab/addons"}` | separate volumes |
| persistence.data | object | `{"enabled":false,"subPath":[{"mountPath":"/openhab/addons","path":"addons"},{"mountPath":"/openhab/conf","path":"conf"},{"mountPath":"/openhab/userdata","path":"userdata"}]}` | single volume |
| service | object | See values.yaml | Set the container timezone TZ: UTC EXTRA_JAVA_OPTS: -Duser.timezone=UTC USER_ID: 1000 GROUP_ID: 1000 OPENHAB_HTTP_PORT: 8080 OPENHAB_HTTPS_PORT: 8443 CRYPTO_POLICY: unlimited -- Configures service settings for the chart. |

## Changelog

### Version 1.4.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/openhab?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
