# torrserver

![Version: 1.1.2](https://img.shields.io/badge/Version-1.1.2-informational?style=flat-square) ![AppVersion: 1.0.111](https://img.shields.io/badge/AppVersion-1.0.111-informational?style=flat-square)

TorrServer streams torrent to http

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/MGlants/docker-torrserver>
* <https://github.com/YouROK/TorrServer>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install torrserver k8s-at-home/torrserver
```

## Installing the Chart

To install the chart with the release name `torrserver`

```console
helm install torrserver k8s-at-home/torrserver
```

## Uninstalling the Chart

To uninstall the `torrserver` deployment

```console
helm uninstall torrserver
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install torrserver \
  --set env.TZ="America/New York" \
    k8s-at-home/torrserver
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install torrserver k8s-at-home/torrserver -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See below | environment variables. See more environment variables in the [torrserver documentation](https://torrserver.org/docs). |
| env.TS_CONF_PATH | string | `"/data"` | Set data dir |
| env.TS_TORR_DIRL | string | `"/data/torrents"` | Set torrent-tiles dir |
| env.TZ | string | `"UTC"` | Set the container timezone |
| hostNetwork | bool | `false` | Set this to `true` to allow using DLNA |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"smailkoz/torrserver"` | image repository |
| image.tag | string | chart.appVersion | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 1.1.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/torrserver?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
