# radicale

![Version: 1.1.2](https://img.shields.io/badge/Version-1.1.2-informational?style=flat-square) ![AppVersion: 3.1.1.0](https://img.shields.io/badge/AppVersion-3.1.1.0-informational?style=flat-square)

A simple CalDAV (calendar) and CardDAV (contact) server.

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/Kozea/Radicale>
* <https://github.com/tomsquest/docker-radicale>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install radicale k8s-at-home/radicale
```

## Installing the Chart

To install the chart with the release name `radicale`

```console
helm install radicale k8s-at-home/radicale
```

## Uninstalling the Chart

To uninstall the `radicale` deployment

```console
helm uninstall radicale
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install radicale \
  --set env.TZ="America/New York" \
    k8s-at-home/radicale
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install radicale k8s-at-home/radicale -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| configmap.config.data | object | See values.yaml | Radicale configuration. See [image documentation](https://github.com/tomsquest/docker-radicale#custom-configuration) for more information. |
| configmap.config.enabled | bool | `false` | Define inline radicale configuration as a ConfigMap. |
| env | object | See below | environment variables. See more environment variables in the [radicale documentation](https://radicale.org/master.html#configuration). |
| env.RADICALE_CONFIG | string | `"/config/config"` | Set the location of the configuration file |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"tomsquest/docker-radicale"` | image repository |
| image.tag | string | chart.appVersion | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 1.1.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/radicale?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
