# searx

![Version: 5.5.2](https://img.shields.io/badge/Version-5.5.2-informational?style=flat-square) ![AppVersion: 1.0.0](https://img.shields.io/badge/AppVersion-1.0.0-informational?style=flat-square)

Searx is a privacy-respecting, hackable metasearch engine

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/searx/searx>
* <https://searx.github.io/searx/>
* <https://hub.docker.com/r/searx/searx>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install searx k8s-at-home/searx
```

## Installing the Chart

To install the chart with the release name `searx`

```console
helm install searx k8s-at-home/searx
```

## Uninstalling the Chart

To uninstall the `searx` deployment

```console
helm uninstall searx
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install searx \
  --set env.TZ="America/New York" \
    k8s-at-home/searx
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install searx k8s-at-home/searx -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| caddy.noTls | bool | `false` | caddy sidecar disable auto tls if behind another loadbalancer or ingress |
| caddy.pullPolicy | string | `"IfNotPresent"` | caddy sidecar image pull policy |
| caddy.repository | string | `"caddy"` | caddy sidecar image repository |
| caddy.tag | string | `"2.2.0-alpine"` | caddy sidecar image tag |
| filtron.pullPolicy | string | `"Always"` | filtron sidecar image pull policy |
| filtron.repository | string | `"dalf/filtron"` | filtron sidecar image repository |
| filtron.tag | string | `"latest"` | filtron sidecar image tag |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"searx/searx"` | image repository |
| image.tag | string | `"1.0.0-211-968b2899"` | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| morty.pullPolicy | string | `"Always"` | morty sidecar image pull policy |
| morty.repository | string | `"dalf/morty"` | morty sidecar image repository |
| morty.tag | string | `"latest"` | morty sidecar image tag |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. |
| searx.baseUrl | string | `"https://searx.DOMAIN"` | External URL where the application is reachable |
| searx.existingSecret | string | `nil` | Specify an existing secret that contains the environment variables required for the application configuration. |
| searx.mortyKey | string | `"changeme"` | Generate a random key used by Morty (Privacy aware web content sanitizer proxy as a service). Example : `openssl rand -base64 24` |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 5.5.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/searx?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
